site_name: JOAN documentation
theme: readthedocs


nav:
    - Home: 'index.md'
    - Introduction: introduction.md

    - Setup JOAN and CARLA:
      - Build CARLA on Windows: setup-carla-windows.md
#      - Setup on Linux: setup-carla-linux.md
      - Install JOAN: setup-joan.md
      - Setup JOAN on a TUD computer: setup-on-tud-shared-hardware.md

    - First steps:
      - JOAN overview: firststeps-joan-overview.md
      - Run JOAN and CARLA: firststeps-joan-run.md
#      - Starting JOAN and CARLA: joan-workflow.md
      - Quick start CARLA: firststeps-carle-ue4.md

    - Using the JOAN core modules:
      - Data Recorder: modules-datarecorder.md
      - CARLA interface: modules-carlainterface.md
      - Hardware Manager: modules-hardwaremanager.md
      - Experiment Manager: modules-experimentmanager.md
      - Steering Wheel Controller: modules-swcontroller.md

    - Advanced steps:
      - Create custom JOAN modules: advancedsteps-add-custom-module.md
      - Using JOAN Settings: advancedsteps-settings.md
      - JOAN State Machine: advancedsteps-state-machine.md
#      - How to create your own map using RoadRunner: howto-roadrunner.md

    - Other stuff:
      - Quick start on using source control (git): other-git.md
      - A short Sensodrive SENSO Wheel explanation: other-sensodrive.md

    - Want to contribute?:
      - Guidelines: contributing-guidelines.md
      - Coding Standard: contributing-coding-standard.md

markdown_extensions:
   - admonition
   - attr_list
   - markdown_inline_graphviz
   - pymdownx.superfences:
        custom_fences:
          - name: mermaid
            class: mermaid
#            format: !!python/name:pymdownx.superfences.fence_div_format

extra_css:
  - https://unpkg.com/mermaid@8.6.0/dist/mermaid.css
extra_javascript:
  - https://unpkg.com/mermaid@8.6.0/dist/mermaid.min.js
